org.eclipse.cdt.core.model

## Interface IInheritance

All Known Subinterfaces:
  IStructure, IStructureTemplate

    public interface IInheritance

Place holder of the inherited class from struct or class(IStructure).

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.cdt.core.parser.ast.ASTAccessVisibility` `getSuperClassAccess(java.lang.String name)` Returns the super class access : ASTAccessVisibility
`java.lang.String[]` `getSuperClassesNames()` Return the inherited structures names.

### Method Detail

#### getSuperClassesNames

    java.lang.String[] getSuperClassesNames()

Return the inherited structures names.

#### getSuperClassAccess

    org.eclipse.cdt.core.parser.ast.ASTAccessVisibility getSuperClassAccess(java.lang.String name)

Returns the super class access : ASTAccessVisibility